- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::algorithm::InteriorPointPoint Class Reference

Computes a point in the interior of an point geometry. More...

`#include <geos/geosAlgorithm.h>`

List of all members.

## Public Member Functions
| InteriorPointPoint (const geom::Geometry *g)
bool | getInteriorPoint (geom::Coordinate &ret) const

## Detailed Description

Computes a point in the interior of an point geometry.

Algorithm:

Find a point which is closest to the centroid of the geometry.

The documentation for this class was generated from the following file:

- InteriorPointPoint.h